<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.fire.mapper.BaseBuildAttachMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.fire.domain.BaseBuildAttach">
        <id column="id" property="id" />
        <result column="build_id" property="buildId" />
        <result column="hazardous_produce_a" property="hazardousProduceA" />
        <result column="hazardous_produce_b" property="hazardousProduceB" />
        <result column="hazardous_produce_c" property="hazardousProduceC" />
        <result column="hazardous_produce_d" property="hazardousProduceD" />
        <result column="hazardous_storage_a" property="hazardousStorageA" />
        <result column="hazardous_storage_b" property="hazardousStorageB" />
        <result column="hazardous_storage_c" property="hazardousStorageC" />
        <result column="hazardous_storage_d" property="hazardousStorageD" />
    </resultMap>

</mapper>
